﻿$ErrorActionPreference = 'Stop';
$url = 'https://github.com/YerongAI/Office-Tool/releases/download/7.3.1.0/Office.Tool.v7.3.zip'
$checksum = 'CE5B1BD5FA4A332A72684091D9C4DC5425BCAE1823675240493A56A8184CA411'

$shortcutsPath = [Environment]::GetFolderPath("Programs")

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  unzipLocation  = "$Env:LOCALAPPDATA"
  url            = $url

  softwareName   = 'otp*'

  checksum       = $checksum
  checksumType   = 'sha256'

  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyZipPackage @packageArgs

Install-ChocolateyShortcut -shortcutFilePath (Join-Path -Path $shortcutsPath -ChildPath 'Office Tool Plus.lnk') -targetPath (Join-Path -Path $Env:LOCALAPPDATA -ChildPath "Office Tool Plus.exe")
